maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Zach Legein (JIRA)" <j...@codehaus.org>
Subject [jira] Created: (MASSEMBLY-254) Not a v4.0.0 POM Still an Issue
Date Thu, 06 Dec 2007 21:19:57 GMT
Not a v4.0.0 POM Still an Issue
-------------------------------

                 Key: MASSEMBLY-254
                 URL: http://jira.codehaus.org/browse/MASSEMBLY-254
             Project: Maven 2.x Assembly Plugin
          Issue Type: Bug
    Affects Versions: 2.2-beta-2
            Reporter: Zach Legein


I was using the plugin from here:

 <pluginRepositories>        
        <pluginRepository>
            <id>m2-snapshot-repository</id>
            <url>http://people.apache.org/repo/m2-snapshot-repository/</url>
            <releases>
                <enabled>false</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>

<plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <version>2.2-beta-2-SNAPSHOT</version>
               ....
</plugin>


[DEBUG] Trace
org.apache.maven.lifecycle.LifecycleExecutionException: Error creating assembly: Error retrieving
POM of module-dependency: lowerm
ybills:lmb-util:jar:1.2.3; Reason: Not a v4.0.0 POM. for project lowermybills:lmb-util at
C:\Documents and Settings\zlegein\.m2\re
pository\lowermybills\lmb-util\1.2.3\lmb-util-1.2.3.pom
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:564)
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeStandaloneGoal(DefaultLifecycleExecutor.java:493)
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:463)
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:311)
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:224)
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:143)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:334)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:125)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:280)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:585)
        at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
        at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
        at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
        at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
Caused by: org.apache.maven.plugin.MojoExecutionException: Error creating assembly: Error
retrieving POM of module-dependency: low
ermybills:lmb-util:jar:1.2.3; Reason: Not a v4.0.0 POM. for project lowermybills:lmb-util
at C:\Documents and Settings\zlegein\.m2
\repository\lowermybills\lmb-util\1.2.3\lmb-util-1.2.3.pom
        at org.apache.maven.plugin.assembly.mojos.AbstractDirectoryMojo.createDirectory(AbstractDirectoryMojo.java:83)
        at org.apache.maven.plugin.assembly.mojos.AbstractDirectoryMojo.execute(AbstractDirectoryMojo.java:57)
        at org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:443)
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:539)
        ... 16 more
Caused by: org.apache.maven.plugin.assembly.archive.ArchiveCreationException: Error retrieving
POM of module-dependency: lowermybi
lls:lmb-util:jar:1.2.3; Reason: Not a v4.0.0 POM. for project lowermybills:lmb-util at C:\Documents
and Settings\zlegein\.m2\repos
itory\lowermybills\lmb-util\1.2.3\lmb-util-1.2.3.pom
        at org.apache.maven.plugin.assembly.archive.task.AddDependencySetsTask.addDependencySet(AddDependencySetsTask.java:125)
        at org.apache.maven.plugin.assembly.archive.task.AddDependencySetsTask.execute(AddDependencySetsTask.java:93)
        at org.apache.maven.plugin.assembly.archive.phase.DependencySetAssemblyPhase.execute(DependencySetAssemblyPhase.java:54)
        at org.apache.maven.plugin.assembly.archive.DefaultAssemblyArchiver.createArchive(DefaultAssemblyArchiver.java:109)
        at org.apache.maven.plugin.assembly.mojos.AbstractDirectoryMojo.createDirectory(AbstractDirectoryMojo.java:79)
        ... 19 more
Caused by: org.apache.maven.project.InvalidProjectModelException: Not a v4.0.0 POM. for project
lowermybills:lmb-util at C:\Docume
nts and Settings\zlegein\.m2\repository\lowermybills\lmb-util\1.2.3\lmb-util-1.2.3.pom
        at org.apache.maven.project.DefaultMavenProjectBuilder.readModel(DefaultMavenProjectBuilder.java:1411)
        at org.apache.maven.project.DefaultMavenProjectBuilder.readModel(DefaultMavenProjectBuilder.java:1379)
        at org.apache.maven.project.DefaultMavenProjectBuilder.findModelFromRepository(DefaultMavenProjectBuilder.java:530)
        at org.apache.maven.project.DefaultMavenProjectBuilder.buildFromRepository(DefaultMavenProjectBuilder.java:234)
        at org.apache.maven.plugin.assembly.archive.task.AddDependencySetsTask.addDependencySet(AddDependencySetsTask.java:120)
        ... 23 more


-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message